TechnicalInformationHandler

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core
Interface TechnicalInformationHandler

All Known Implementing Classes:
  AdaBoostM1, AdditiveRegression, ADNode, ADTree, Agrawal, AODE, AODEsr, Apriori, Bagging, BallTree, BayesianLogisticRegression, BFTree, BIFReader, BIRCHCluster, BottomUpConstructor, BVDecompose, BVDecomposeSegCVSub, CfsSubsetEval, ChebyshevDistance, ChisqMixture, CitationKNN, ClassBalancedND, ClassificationViaRegression, CLOPE, Cobweb, ComplementNaiveBayes, ConsistencySubsetEval, CoverTree, CVParameterSelection, Dagging, DataNearBalancedND, DBScan, DecisionTable, Decorate, Discretize, DMNBtext, DTNB, END, EnsembleSelection, EuclideanDistance, FarthestFirst, FCBFSearch, FLR, FT, GaussianProcesses, GeneralizedSequentialPatterns, GeneticSearch, Grading, HNB, IB1, IBk, Id3, IteratedLovinsStemmer, J48, J48graft, JRip, K2, K2, KDTree, KernelFilter, KMeansInpiredMethod, KStar, LADTree, LBR, LeastMedSq, LED24, LibLINEAR, LibSVM, LinearForwardSelection, LMT, Logistic, LogitBoost, LovinsStemmer, LWL, M5Base, M5P, M5Rules, ManhattanDistance, MDD, MedianDistanceFromArbitraryPoint, MedianOfWidestDimension, MedianOfWidestDimension, MetaCost, MIBoost, MIDD, MiddleOutConstructor, MidPointOfWidestDimension, MIEMDD, MinMaxExtension, MINND, MIOptimalBall, MISMO, MISVM, MIWrapper, MixtureDistribution, MultiBoostAB, NaiveBayes, NaiveBayesMultinomial, NaiveBayesMultinomialUpdateable, NaiveBayesSimple, NaiveBayesUpdateable, NBTree, ND, NNge, NominalToBinary, NormalMixture, OLM, OneR, OPTICS, Optimization, OrdinalClassClassifier, OSDL, OSDLCore, PaceRegression, PairedCorrectedTTester, PART, PKIDiscretize, PLSFilter, PointsClosestToFurthestChildren, PredictiveApriori, Prism, Puk, RaceSearch, RandomForest, RandomProjection, RandomSearch, RandomSubSpace, RegSMO, RegSMOImproved, RELAGGS, ReliefFAttributeEval, Ridor, RotationForest, ScatterSearchV1, sIB, SimpleCart, SimpleLogistic, SimulatedAnnealing, SimulatedAnnealing, SlidingMidPointOfWidestSide, SMO, SMOreg, SMOTE, Stacking, StackingC, StringKernel, SVMAttributeEval, SVMreg, SymmetricalUncertAttributeSetEval, TabuSearch, TabuSearch, TAN, TAN, Tertius, TLD, TLDSimple, TopDownConstructor, UserClassifier, VFI, Vote, VotedPerceptron, WAODE, Wavelet, Winnow, WrapperSubsetEval, XMeans

    public interface TechnicalInformationHandler

For classes that are based on some kind of publications. They return a TechnicalInformation object filled with the data of the publication.

Version:
  $Revision: 1.1 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  `TechnicalInformation`

Method Summary
`TechnicalInformation` | `getTechnicalInformation()` Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.

Method Detail

### getTechnicalInformation

    TechnicalInformation getTechnicalInformation()

  Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.

  Returns:
    the technical information about this class

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD